#ifndef _KGR_PATCH_BSC1188117_H
#define _KGR_PATCH_BSC1188117_H

int kgr_patch_bsc1188117_init(void);
void kgr_patch_bsc1188117_cleanup(void);

struct net;
struct xt_table_info;
struct compat_arpt_replace;
struct compat_ipt_replace;
struct compat_ip6t_replace;

int kgrp_arp_tables_translate_compat_table(struct xt_table_info **pinfo,
				  void **pentry0,
				  const struct compat_arpt_replace *compatr);

int
kgrp_ip_tables_translate_compat_table(struct net *net,
		       struct xt_table_info **pinfo,
		       void **pentry0,
		       const struct compat_ipt_replace *compatr);

int
kgrp_ip6_tables_translate_compat_table(struct net *net,
		       struct xt_table_info **pinfo,
		       void **pentry0,
		       const struct compat_ip6t_replace *compatr);

#define KGR_PATCH_BSC1188117_FUNCS					\
	KGR_PATCH_OBJ(translate_compat_table,				\
		      kgrp_arp_tables_translate_compat_table,		\
		      "arp_tables"),					\
	KGR_PATCH_OBJ(translate_compat_table,				\
		      kgrp_ip_tables_translate_compat_table,		\
		      "ip_tables"),					\
	KGR_PATCH_OBJ(translate_compat_table,				\
		      kgrp_ip6_tables_translate_compat_table,		\
		      "ip6_tables"),					\

#endif /* _KGR_PATCH_BSC1188117_H */
